singa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [singa] chrishkchris opened a new issue #623: Some consultations using the conda build in singa/tool/conda/singa
Date Fri, 06 Mar 2020 14:54:20 GMT
chrishkchris opened a new issue #623: Some consultations using the conda build in singa/tool/conda/singa
URL: https://github.com/apache/singa/issues/623
 
 
   @dcslin  Shicong, did you encountered such error using conda build before? I would like
your help because seems you are recently on CI/CD
   
   I am trying to use the dev branch to build conda using singa/tool/conda/singa, it gives
the errors concerning onnx version
   
   conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform
linux-64: {"onnx[version='>=1.3.0']"}
   
   ```
   dcsysh@panda:~/singa/tool/conda/singa$ export CUDA=10.0
   dcsysh@panda:~/singa/tool/conda/singa$ conda-build .  --python 3.6
   No numpy version specified in conda_build_config.yaml.  Falling back to default numpy value
of 1.11
   WARNING:conda_build.metadata:No numpy version specified in conda_build_config.yaml.  Falling
back to default numpy value of 1.11
   Copying /home/dcsysh/singa to /home/dcsysh/anaconda3/conda-bld/singa_1583505296868/work/
   Adding in variants from internal_defaults
   INFO:conda_build.variants:Adding in variants from internal_defaults
   Adding in variants from /home/dcsysh/singa/tool/conda/singa/conda_build_config.yaml
   INFO:conda_build.variants:Adding in variants from /home/dcsysh/singa/tool/conda/singa/conda_build_config.yaml
   Adding in variants from config.variant
   INFO:conda_build.variants:Adding in variants from config.variant
   /home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/environ.py:427: UserWarning:
The environment variable 'CUDA' is being passed through with value '10.0'.  If you are splitting
build and test phases with --no-test, please ensure that this value is also set similarly
at test time.
     UserWarning
   Attempting to finalize metadata for singa
   INFO:conda_build.metadata:Attempting to finalize metadata for singa
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... done
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... done
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... done
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... done
   Adding .* to spec 'libprotobuf 3.6.1' to ensure satisfiability.  Please consider putting
{{ var_name }}.* or some relational operator (>/</>=/<=) on this spec in meta.yaml,
or if req is also a build req, using {{ pin_compatible() }} jinja2 function instead.  See
https://conda.io/docs/user-guide/tasks/build-packages/variants.html#pinning-at-the-variant-level
   WARNING:conda_build.utils:Adding .* to spec 'libprotobuf 3.6.1' to ensure satisfiability.
 Please consider putting {{ var_name }}.* or some relational operator (>/</>=/<=)
on this spec in meta.yaml, or if req is also a build req, using {{ pin_compatible() }} jinja2
function instead.  See https://conda.io/docs/user-guide/tasks/build-packages/variants.html#pinning-at-the-variant-level
   WARNING conda_build.utils:ensure_valid_spec(1749): Adding .* to spec 'libprotobuf 3.6.1'
to ensure satisfiability.  Please consider putting {{ var_name }}.* or some relational operator
(>/</>=/<=) on this spec in meta.yaml, or if req is also a build req, using {{
pin_compatible() }} jinja2 function instead.  See https://conda.io/docs/user-guide/tasks/build-packages/variants.html#pinning-at-the-variant-level
   Adding .* to spec 'libopenblas 0.3.3' to ensure satisfiability.  Please consider putting
{{ var_name }}.* or some relational operator (>/</>=/<=) on this spec in meta.yaml,
or if req is also a build req, using {{ pin_compatible() }} jinja2 function instead.  See
https://conda.io/docs/user-guide/tasks/build-packages/variants.html#pinning-at-the-variant-level
   WARNING:conda_build.utils:Adding .* to spec 'libopenblas 0.3.3' to ensure satisfiability.
 Please consider putting {{ var_name }}.* or some relational operator (>/</>=/<=)
on this spec in meta.yaml, or if req is also a build req, using {{ pin_compatible() }} jinja2
function instead.  See https://conda.io/docs/user-guide/tasks/build-packages/variants.html#pinning-at-the-variant-level
   WARNING conda_build.utils:ensure_valid_spec(1749): Adding .* to spec 'libopenblas 0.3.3'
to ensure satisfiability.  Please consider putting {{ var_name }}.* or some relational operator
(>/</>=/<=) on this spec in meta.yaml, or if req is also a build req, using {{
pin_compatible() }} jinja2 function instead.  See https://conda.io/docs/user-guide/tasks/build-packages/variants.html#pinning-at-the-variant-level
   BUILD START: ['singa-2.1.0.dev-cudnn7.3.1_cuda10.0_py36.tar.bz2']
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... done
   
   ## Package Plan ##
   
     environment location: /home/dcsysh/anaconda3/conda-bld/singa_1583505296868/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place
   
   
   The following NEW packages will be INSTALLED:
   
       _libgcc_mutex:    0.1-main
       blas:             1.0-openblas
       ca-certificates:  2020.1.1-0
       certifi:          2019.11.28-py36_0
       cudatoolkit:      10.0.130-0
       cudnn:            7.3.1-cuda10.0_0
       gflags:           2.2.2-he6710b0_0
       glog:             0.3.5-hf484d3e_1
       intel-openmp:     2018.0.3-0
       ld_impl_linux-64: 2.33.1-h53a641e_7
       libedit:          3.1.20181209-hc058e9b_0
       libffi:           3.2.1-hd88cf55_4
       libgcc-ng:        9.1.0-hdf63c60_0
       libgfortran-ng:   7.3.0-hdf63c60_0
       libmklml:         2018.0.3-0
       libopenblas:      0.3.3-h5a2b251_3
       libprotobuf:      3.6.1-hd408876_0
       libstdcxx-ng:     9.1.0-hdf63c60_0
       mkl-dnn:          0.14-h6bb024c_0
       ncurses:          6.2-he6710b0_0
       nomkl:            3.0-0
       numpy:            1.16.0-py36h99e49ec_1
       numpy-base:       1.16.0-py36h2f8d375_1
       openblas:         0.3.3-3
       openblas-devel:   0.3.3-3
       openssl:          1.1.1d-h7b6447c_4
       pcre:             8.43-he6710b0_0
       pip:              20.0.2-py36_1
       protobuf:         3.6.1-py36he6710b0_0
       python:           3.6.10-h0371630_0
       readline:         7.0-h7b6447c_5
       setuptools:       45.2.0-py36_0
       six:              1.14.0-py36_0
       sqlite:           3.31.1-h7b6447c_0
       swig:             3.0.12-h38cdd7d_3
       tk:               8.6.8-hbc83047_0
       wheel:            0.34.2-py36_0
       xz:               5.2.4-h14c3975_4
       zlib:             1.2.11-h7b6447c_3
   
   Preparing transaction: ...working... done
   Verifying transaction: ...working... done
   Executing transaction: ...working... done
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... done
   Collecting package metadata (repodata.json): ...working... done
   Solving environment: ...working... failed
   
   Leaving build/test directories:
     Work:
    /home/dcsysh/anaconda3/conda-bld/work
     Test:
    /home/dcsysh/anaconda3/conda-bld/test_tmp
   Leaving build/test environments:
     Test:
   source activate  /home/dcsysh/anaconda3/conda-bld/_test_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_
     Build:
   source activate  /home/dcsysh/anaconda3/conda-bld/_build_env
   
   
   Traceback (most recent call last):
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/environ.py", line
757, in get_install_actions
       actions = install_actions(prefix, index, specs, force=True)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/common/io.py", line 88,
in decorated
       return f(*args, **kwds)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/plan.py", line 474, in
install_actions
       txn = solver.solve_for_transaction(prune=prune, ignore_pinned=not pinned)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/core/solve.py", line 117,
in solve_for_transaction
       should_retry_solve)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/core/solve.py", line 158,
in solve_for_diff
       force_remove, should_retry_solve)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/core/solve.py", line 275,
in solve_final_state
       ssc = self._add_specs(ssc)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/core/solve.py", line 555,
in _add_specs
       explicit_pool = ssc.r._get_package_pool(self.specs_to_add)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/resolve.py", line 553,
in _get_package_pool
       pool = self.get_reduced_index(specs)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/common/io.py", line 88,
in decorated
       return f(*args, **kwds)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/resolve.py", line 574,
in get_reduced_index
       explicit_specs, features = self.verify_specs(explicit_specs)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda/resolve.py", line 288,
in verify_specs
       raise ResolvePackageNotFound(bad_deps)
   conda.exceptions.ResolvePackageNotFound:
     - onnx[version='>=1.3.0']
   
   During handling of the above exception, another exception occurred:
   
   Traceback (most recent call last):
     File "/home/dcsysh/anaconda3/bin/conda-build", line 11, in <module>
       sys.exit(main())
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/cli/main_build.py",
line 469, in main
       execute(sys.argv[1:])
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/cli/main_build.py",
line 460, in execute
       verify=args.verify, variants=args.variants)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/api.py", line 209,
in build
       notest=notest, need_source_download=need_source_download, variants=variants)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/build.py", line
2344, in build_tree
       notest=notest,
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/build.py", line
1408, in build
       create_build_envs(top_level_pkg, notest)
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/build.py", line
1292, in create_build_envs
       raise e
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/build.py", line
1282, in create_build_envs
       channel_urls=tuple(m.config.channel_urls))
     File "/home/dcsysh/anaconda3/lib/python3.6/site-packages/conda_build/environ.py", line
759, in get_install_actions
       raise DependencyNeedsBuildingError(exc, subdir=subdir)
   conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform
linux-64: {"onnx[version='>=1.3.0']"}
   ```

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message